SHARE
TWEET

Nest fail to integrate

knottysean Apr 19th, 2019 126 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. 2019-04-19 14:45:51 DEBUG (SyncWorker_17) [nest.nest] >> POST https://api.home.nest.com/oauth2/access_token
  2. 2019-04-19 14:45:51 DEBUG (MainThread) [snitun.multiplexer.core] Receive pong from peer / reset healthy
  3. 2019-04-19 14:45:51 ERROR (MainThread) [homeassistant.components.nest.config_flow] Unexpected error resolving code
  4. Traceback (most recent call last):
  5.   File "/usr/local/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 453, in wrap_socket
  6.     cnx.do_handshake()
  7.   File "/usr/local/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1915, in do_handshake
  8.     self._raise_ssl_error(self._ssl, result)
  9.   File "/usr/local/lib/python3.7/site-packages/OpenSSL/SSL.py", line 1647, in _raise_ssl_error
  10.     _raise_current_error()
  11.   File "/usr/local/lib/python3.7/site-packages/OpenSSL/_util.py", line 54, in exception_from_error_queue
  12.     raise exception_type(errors)
  13. OpenSSL.SSL.Error: [('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')]
  14.  
  15. During handling of the above exception, another exception occurred:
  16.  
  17. Traceback (most recent call last):
  18.   File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
  19.     chunked=chunked)
  20.   File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
  21.     self._validate_conn(conn)
  22.   File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
  23.     conn.connect()
  24.   File "/usr/local/lib/python3.7/site-packages/urllib3/connection.py", line 344, in connect
  25.     ssl_context=context)
  26.   File "/usr/local/lib/python3.7/site-packages/urllib3/util/ssl_.py", line 344, in ssl_wrap_socket
  27.     return context.wrap_socket(sock, server_hostname=server_hostname)
  28.   File "/usr/local/lib/python3.7/site-packages/urllib3/contrib/pyopenssl.py", line 459, in wrap_socket
  29.     raise ssl.SSLError('bad handshake: %r' % e)
  30. ssl.SSLError: ("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')])",)
  31.  
  32. During handling of the above exception, another exception occurred:
  33.  
  34. Traceback (most recent call last):
  35.   File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
  36.     timeout=timeout
  37.   File "/usr/local/lib/python3.7/site-packages/urllib3/connectionpool.py", line 638, in urlopen
  38.     _stacktrace=sys.exc_info()[2])
  39.   File "/usr/local/lib/python3.7/site-packages/urllib3/util/retry.py", line 398, in increment
  40.     raise MaxRetryError(_pool, url, error or ResponseError(cause))
  41. urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='api.home.nest.com', port=443): Max retries exceeded with url: /oauth2/access_token (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')])")))
  42.  
  43. During handling of the above exception, another exception occurred:
  44.  
  45. Traceback (most recent call last):
  46.   File "/usr/local/lib/python3.7/site-packages/homeassistant/components/nest/config_flow.py", line 105, in async_step_link
  47.     tokens = await flow['convert_code'](user_input['code'])
  48.   File "/usr/local/lib/python3.7/site-packages/homeassistant/components/nest/local_auth.py", line 39, in resolve_auth_code
  49.     await hass.async_add_job(auth.login)
  50.   File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
  51.     result = self.fn(*self.args, **self.kwargs)
  52.   File "/usr/local/lib/python3.7/site-packages/nest/nest.py", line 175, in login
  53.     response = post(ACCESS_TOKEN_URL, data=data, headers=headers)
  54.   File "/usr/local/lib/python3.7/site-packages/requests/api.py", line 116, in post
  55.     return request('post', url, data=data, json=json, **kwargs)
  56.   File "/usr/local/lib/python3.7/site-packages/requests/api.py", line 60, in request
  57.     return session.request(method=method, url=url, **kwargs)
  58.   File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
  59.     resp = self.send(prep, **send_kwargs)
  60.   File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
  61.     r = adapter.send(request, **kwargs)
  62.   File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 514, in send
  63.     raise SSLError(e, request=request)
  64. requests.exceptions.SSLError: HTTPSConnectionPool(host='api.home.nest.com', port=443): Max retries exceeded with url: /oauth2/access_token (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')])")))
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top